CREATE DATABASE `mailperformancemonitor` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `mailperformancemonitor`;

CREATE TABLE `tblmailbox_mbx` (
  `mbxId` bigint(20) NOT NULL AUTO_INCREMENT,
  `mbxDescription` varchar(45) DEFAULT NULL,
  `mbxSMTPUsername` varchar(255) DEFAULT NULL,
  `mbxSMTPPort` int(11) NOT NULL,
  `mbxSendInterval` int(11) NOT NULL,
  `mbxReceiveInterval` int(11) NOT NULL,
  `mbxPOPUsername` varchar(255) DEFAULT NULL,
  `mbxPOPPassword` varchar(255) DEFAULT NULL,
  `mbxPOPHostname` varchar(255) NOT NULL,
  `mbxPOPPort` int(11) NOT NULL,
  `mbxSMTPPassword` varchar(255) DEFAULT NULL,
  `mbxSMTPHostname` varchar(255) NOT NULL,
  `mbxEmailAddress` varchar(255) NOT NULL,
  `mbxPOPSSL` tinyint(1) NOT NULL,
  `mbxSMTPSSL` tinyint(1) NOT NULL,
  `mbxActive` bit(1) NOT NULL,
  PRIMARY KEY (`mbxId`),
  UNIQUE KEY `Id` (`mbxId`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE `tblmessage_msg` (
  `msgId` bigint(20) NOT NULL AUTO_INCREMENT,
  `msg_frommbxId` bigint(20) NOT NULL,
  `msg_tombxId` bigint(20) NOT NULL,
  `msgSentTimestamp` datetime DEFAULT NULL,
  `msgReceivedTimestamp` datetime DEFAULT NULL,
  PRIMARY KEY (`msgId`),
  UNIQUE KEY `Id` (`msgId`),
  KEY `IX_fk_tombxId` (`msg_tombxId`),
  KEY `IX_fk_frommbxId` (`msg_frommbxId`),
  CONSTRAINT `fk_frommbxId` FOREIGN KEY (`msg_frommbxId`) REFERENCES `tblmailbox_mbx` (`mbxId`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_tombxId` FOREIGN KEY (`msg_tombxId`) REFERENCES `tblmailbox_mbx` (`mbxId`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE `tblsendschema_ssa` (
  `ssaId` bigint(20) NOT NULL AUTO_INCREMENT,
  `ssaFrommbxId` bigint(20) NOT NULL,
  `ssaTombxId` bigint(20) NOT NULL,
  `ssaActiveFrom` datetime DEFAULT NULL,
  `ssaActiveTo` datetime DEFAULT NULL,
  `ssaDaily` tinyint(1) DEFAULT NULL,
  `ssaActive` bit(1) NOT NULL,
  PRIMARY KEY (`ssaId`),
  UNIQUE KEY `Id` (`ssaId`),
  KEY `IX_fk_ssaFrommbxId` (`ssaFrommbxId`),
  KEY `IX_fk_ssaTombxId` (`ssaTombxId`),
  CONSTRAINT `fk_ssaFrommbxId` FOREIGN KEY (`ssaFrommbxId`) REFERENCES `tblmailbox_mbx` (`mbxId`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_ssaTombxId` FOREIGN KEY (`ssaTombxId`) REFERENCES `tblmailbox_mbx` (`mbxId`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;
