CREATE DATABASE  IF NOT EXISTS `mailperformancemonitor` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `mailperformancemonitor`;
-- MySQL dump 10.13  Distrib 5.6.13, for Win32 (x86)
--
-- Host: localhost    Database: mailperformancemonitor
-- ------------------------------------------------------
-- Server version	5.5.37-0+wheezy1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `tblmailbox_mbx`
--

DROP TABLE IF EXISTS `tblmailbox_mbx`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tblmailbox_mbx` (
  `mbxId` bigint(20) NOT NULL AUTO_INCREMENT,
  `mbxDescription` varchar(45) DEFAULT NULL,
  `mbxSMTPUsername` varchar(255) DEFAULT NULL,
  `mbxSMTPPort` int(11) NOT NULL,
  `mbxSendInterval` int(11) NOT NULL,
  `mbxReceiveInterval` int(11) NOT NULL,
  `mbxPOPUsername` varchar(255) DEFAULT NULL,
  `mbxPOPPassword` varchar(255) DEFAULT NULL,
  `mbxPOPHostname` varchar(255) NOT NULL,
  `mbxPOPPort` int(11) NOT NULL,
  `mbxSMTPPassword` varchar(255) DEFAULT NULL,
  `mbxSMTPHostname` varchar(255) NOT NULL,
  `mbxEmailAddress` varchar(255) NOT NULL,
  `mbxPOPSSL` tinyint(1) NOT NULL,
  `mbxSMTPSSL` tinyint(1) NOT NULL,
  `mbxActive` bit(1) NOT NULL,
  PRIMARY KEY (`mbxId`),
  UNIQUE KEY `Id` (`mbxId`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tblmailbox_mbx`
--

LOCK TABLES `tblmailbox_mbx` WRITE;
/*!40000 ALTER TABLE `tblmailbox_mbx` DISABLE KEYS */;
INSERT INTO `tblmailbox_mbx` VALUES (1,'Example account','example@example.com',587,900,30,'example@example.com','password','mail.example.com',995,'password','mail.example.com','example@example.com',1,1,''),(2,'Another example account','example@example.com',587,900,30,'test','password','pop.example.com',995,'password','smtp.example.com','example@example.com',1,0,'');
/*!40000 ALTER TABLE `tblmailbox_mbx` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tblmessage_msg`
--

DROP TABLE IF EXISTS `tblmessage_msg`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tblmessage_msg` (
  `msgId` bigint(20) NOT NULL AUTO_INCREMENT,
  `msg_frommbxId` bigint(20) NOT NULL,
  `msg_tombxId` bigint(20) NOT NULL,
  `msgSentTimestamp` datetime DEFAULT NULL,
  `msgReceivedTimestamp` datetime DEFAULT NULL,
  PRIMARY KEY (`msgId`),
  UNIQUE KEY `Id` (`msgId`),
  KEY `IX_fk_tombxId` (`msg_tombxId`),
  KEY `IX_fk_frommbxId` (`msg_frommbxId`),
  CONSTRAINT `fk_frommbxId` FOREIGN KEY (`msg_frommbxId`) REFERENCES `tblmailbox_mbx` (`mbxId`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_tombxId` FOREIGN KEY (`msg_tombxId`) REFERENCES `tblmailbox_mbx` (`mbxId`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=13394 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tblmessage_msg`
--

LOCK TABLES `tblmessage_msg` WRITE;
/*!40000 ALTER TABLE `tblmessage_msg` DISABLE KEYS */;
INSERT INTO `tblmessage_msg` VALUES (13388,1,2,'2014-08-07 20:01:43',NULL),(13389,2,1,'2014-08-07 20:01:43',NULL),(13390,1,2,'2014-08-07 20:02:32',NULL),(13391,2,1,'2014-08-07 20:02:32',NULL),(13392,1,2,'2014-08-07 20:05:17',NULL),(13393,2,1,'2014-08-07 20:05:26','2014-08-07 20:06:12');
/*!40000 ALTER TABLE `tblmessage_msg` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tblsendschema_ssa`
--

DROP TABLE IF EXISTS `tblsendschema_ssa`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tblsendschema_ssa` (
  `ssaId` bigint(20) NOT NULL AUTO_INCREMENT,
  `ssaFrommbxId` bigint(20) NOT NULL,
  `ssaTombxId` bigint(20) NOT NULL,
  `ssaActiveFrom` datetime DEFAULT NULL,
  `ssaActiveTo` datetime DEFAULT NULL,
  `ssaDaily` tinyint(1) DEFAULT NULL,
  `ssaActive` bit(1) NOT NULL,
  PRIMARY KEY (`ssaId`),
  UNIQUE KEY `Id` (`ssaId`),
  KEY `IX_fk_ssaFrommbxId` (`ssaFrommbxId`),
  KEY `IX_fk_ssaTombxId` (`ssaTombxId`),
  CONSTRAINT `fk_ssaFrommbxId` FOREIGN KEY (`ssaFrommbxId`) REFERENCES `tblmailbox_mbx` (`mbxId`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_ssaTombxId` FOREIGN KEY (`ssaTombxId`) REFERENCES `tblmailbox_mbx` (`mbxId`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tblsendschema_ssa`
--

LOCK TABLES `tblsendschema_ssa` WRITE;
/*!40000 ALTER TABLE `tblsendschema_ssa` DISABLE KEYS */;
INSERT INTO `tblsendschema_ssa` VALUES (1,2,1,NULL,NULL,NULL,''),(2,1,2,NULL,NULL,NULL,'');
/*!40000 ALTER TABLE `tblsendschema_ssa` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2014-08-07 20:25:46
